<?php

add_action( 'after_setup_theme', 'econsulting_agency_setup' );
function econsulting_agency_setup(){
    
    add_theme_support( 'title-tag' );
    add_theme_support( 'automatic-feed-links' );

}

add_action( 'wp_enqueue_scripts', 'econsulting_agency_thm_parent_css' );
function econsulting_agency_thm_parent_css() {

    $my_theme = wp_get_theme();
    
    $theme_version = $my_theme->get( 'Version' );

    wp_enqueue_style( 
    	'econsulting_agency_chld_css', 
    	trailingslashit( get_template_directory_uri() ) . 'style.css', 
    	array( 
    		'bootstrap',
    		'font-awesome-5',
    		'bizberg-main',
    		'bizberg-component',
    		'bizberg-style2',
    		'bizberg-responsive' 
    	)
    );

    if ( is_rtl() ) {
        wp_enqueue_style( 
            'econsulting_agency_parent_rtl', 
            trailingslashit( get_template_directory_uri() ) . 'rtl.css'
        );
    }

    wp_enqueue_script( 'waypoint', get_stylesheet_directory_uri() . '/js/waypoint.js', array('jquery'), $theme_version );
    wp_enqueue_script( 'counterup', get_stylesheet_directory_uri() . '/js/jquery.counterup.js', array('jquery'), $theme_version );
    wp_enqueue_script( 'jquery-modal-video.js', get_stylesheet_directory_uri() . '/js/jquery-modal-video.js', array('jquery'), $theme_version );
    wp_enqueue_script( 'econsulting_agency_scripts', get_stylesheet_directory_uri() . '/js/script.js', array('jquery'), $theme_version );
    wp_localize_script( 'econsulting_agency_scripts', 'econsulting_agency_object',
        array( 
            'rtl' => is_rtl() ? true : false
        )
    );
    
}

add_action( 'customize_preview_init', 'econsulting_agency_customize_enqueue' );
function econsulting_agency_customize_enqueue() {
    $econsulting_agency_theme = wp_get_theme();
    $theme_version = $econsulting_agency_theme->get( 'Version' );
    wp_enqueue_script( 'econsulting_agency_customizer_js', get_stylesheet_directory_uri() . '/js/customizer.js' ,array('jquery') ,$theme_version ,false );
}

/** 
* Enable Slick for this child theme
*/
add_filter( 'bizberg_slick_slider_status', 'econsulting_agency_slick_slider_status' );
function econsulting_agency_slick_slider_status(){
    return true;
}

add_filter( 'bizberg_body_typo_heading_3_status', 'econsulting_agency_body_typo_heading_3_status' );
function econsulting_agency_body_typo_heading_3_status(){
    return true;
}

add_filter( 'bizberg_typography_h3', 'econsulting_agency_bizberg_typography_h3' );
function econsulting_agency_bizberg_typography_h3(){
    return [
        'font-family'    => 'Raleway',
        'variant'        => '800',
        'font-size'      => '35.16px',
        'line-height'    => '1',
        'letter-spacing' => '0',
        'text-transform' => 'inherit'
    ];
}

add_filter( 'bizberg_typography_h3_tablet', 'econsulting_agency_typography_h3_tablet' );
function econsulting_agency_typography_h3_tablet(){
    return 33.20;
}

add_filter( 'bizberg_typography_h3_mobile', 'econsulting_agency_typography_h3_mobile' );
function econsulting_agency_typography_h3_mobile(){
    return 31.25;
}

add_filter( 'bizberg_body_typo_heading_4_status', 'econsulting_agency_body_typo_heading_4_status' );
function econsulting_agency_body_typo_heading_4_status(){
    return true;
}

add_filter( 'bizberg_typography_h4', 'econsulting_agency_bizberg_typography_h4' );
function econsulting_agency_bizberg_typography_h4(){
    return [
        'font-family'    => 'Raleway',
        'variant'        => '800',
        'font-size'      => '28.13px',
        'line-height'    => '1',
        'letter-spacing' => '0',
        'text-transform' => 'inherit'
    ];
}

add_filter( 'bizberg_typography_h4_tablet', 'econsulting_agency_typography_h4_tablet' );
function econsulting_agency_typography_h4_tablet(){
    return 26.54;
}

add_filter( 'bizberg_typography_h4_mobile', 'econsulting_agency_typography_h4_mobile' );
function econsulting_agency_typography_h4_mobile(){
    return 25;
}

add_filter( 'bizberg_body_typo_heading_2_status', 'econsulting_agency_body_typo_heading_2_status' );
function econsulting_agency_body_typo_heading_2_status(){
    return true;
}

add_filter( 'bizberg_typography_h2', 'econsulting_agency_bizberg_typography_h2' );
function econsulting_agency_bizberg_typography_h2(){
    return [
        'font-family'    => 'Raleway',
        'variant'        => '800',
        'font-size'      => '43.95px',
        'line-height'    => '1',
        'letter-spacing' => '0',
        'text-transform' => 'inherit'
    ];
}

add_filter( 'bizberg_typography_h2_tablet', 'econsulting_agency_typography_h2_tablet' );
function econsulting_agency_typography_h2_tablet(){
    return 41.50;
}

add_filter( 'bizberg_typography_h2_mobile', 'econsulting_agency_typography_h2_mobile' );
function econsulting_agency_typography_h2_mobile(){
    return 39.06;
}

add_filter( 'bizberg_body_typo_heading_1_status', 'econsulting_agency_body_typo_heading_1_status' );
function econsulting_agency_body_typo_heading_1_status(){
    return true;
}

add_filter( 'bizberg_typography_h1', 'econsulting_agency_bizberg_typography_h1' );
function econsulting_agency_bizberg_typography_h1(){
    return [
        'font-family'    => 'Raleway',
        'variant'        => '800',
        'font-size'      => '54.93px',
        'line-height'    => '1',
        'letter-spacing' => '0',
        'text-transform' => 'inherit'
    ];
}

add_filter( 'bizberg_typography_h1_tablet', 'econsulting_agency_typography_h1_tablet' );
function econsulting_agency_typography_h1_tablet(){
    return 51.88;
}

add_filter( 'bizberg_typography_h1_mobile', 'econsulting_agency_typography_h1_mobile' );
function econsulting_agency_typography_h1_mobile(){
    return 48.83;
}

add_filter( 'bizberg_body_content_typo_status', 'econsulting_agency_body_content_typo_status' );
function econsulting_agency_body_content_typo_status(){
    return true;
}

add_filter( 'bizberg_typography_body_content', 'econsulting_agency_typography_body_content' );
function econsulting_agency_typography_body_content(){
    return [
        'font-family'    => 'Nunito Sans',
        'variant'        => 'regular',
        'font-size'      => '18px',
        'line-height'    => '1.8'
    ];
}

add_filter( 'bizberg_site_title_font', 'econsulting_agency_site_title_font' );
function econsulting_agency_site_title_font(){
    return [
        'font-family'    => 'Raleway',
        'variant'        => '800',
        'font-size'      => '24px',
        'line-height'    => '1.3',
        'letter-spacing' => '0',
        'text-transform' => 'none',
        'text-align'     => 'left'
    ];
}

add_filter( 'bizberg_theme_container_width', 'econsulting_agency_theme_container_width' );
function econsulting_agency_theme_container_width(){
    return 1240;
}

add_action( 'init', 'econsulting_agency_colors' );
function econsulting_agency_colors(){

    $options = array(
        'bizberg_slider_title_box_highlight_color',
        'bizberg_slider_arrow_background_color',
        'bizberg_slider_dot_active_color',
        'bizberg_read_more_background_color',
        'bizberg_theme_color', // Change the theme color
        'bizberg_header_menu_color_hover',
        'bizberg_header_button_color',
        'bizberg_header_button_color_hover',
        'bizberg_link_color',
        'bizberg_link_color_hover',
        'bizberg_sidebar_widget_title_color',
        'bizberg_blog_listing_pagination_active_hover_color',
        'bizberg_heading_color',
        'bizberg_sidebar_widget_link_color_hover',
        'bizberg_footer_social_icon_color',
        'bizberg_footer_copyright_background',
        'bizberg_header_menu_color_hover_sticky_menu',
        'bizberg_background_color_1',
        'bizberg_background_color_2'
    );

    foreach ( $options as $value ) {
        
        add_filter( $value , function(){
            return '#ff4a17';
        });

    }

}

add_filter( 'bizberg_slider_banner_settings', 'econsulting_agency_slider_banner_settings' );
function econsulting_agency_slider_banner_settings(){
    return 'none';
}

add_filter( 'bizberg_sidebar_spacing_status' , 'econsulting_agency_sidebar_spacing_status' );
function econsulting_agency_sidebar_spacing_status(){
    return '0px';
}

add_filter( 'bizberg_sidebar_widget_background_color', 'econsulting_agency_sidebar_widget_background_color' );
function econsulting_agency_sidebar_widget_background_color(){
    return 'rgba(251,251,251,0)';
}

add_filter( 'bizberg_sidebar_widget_border_color' , 'econsulting_agency_sidebar_widget_border_color' );
function econsulting_agency_sidebar_widget_border_color(){
    return 'rgba(251,251,251,0)';
}

add_filter( 'bizberg_sidebar_widget_heading_font_size_status', 'econsulting_agency_sidebar_widget_heading_font_size_status' );
function econsulting_agency_sidebar_widget_heading_font_size_status(){
    return true;
}

add_filter( 'bizberg_number_setting_desktop_sidebar_widget_heading_font_sizes', 'econsulting_agency_number_setting_desktop_sidebar_widget_heading_font_sizes' );
function econsulting_agency_number_setting_desktop_sidebar_widget_heading_font_sizes(){
    return 43.95;
}

add_filter( 'bizberg_number_setting_tablet_sidebar_widget_heading_font_sizes', 'econsulting_agency_number_setting_tablet_sidebar_widget_heading_font_sizes' );
function econsulting_agency_number_setting_tablet_sidebar_widget_heading_font_sizes(){
    return 41.50;
}

add_filter( 'bizberg_number_setting_mobile_sidebar_widget_heading_font_sizes', 'econsulting_agency_number_setting_mobile_sidebar_widget_heading_font_sizes' );
function econsulting_agency_number_setting_mobile_sidebar_widget_heading_font_sizes(){
    return 39.06;
}

add_filter( 'bizberg_woo_product_color_status', 'econsulting_agency_woo_product_color_status' );
function econsulting_agency_woo_product_color_status(){
    return true;
}

add_filter( 'bizberg_shop_quick_view_background', 'econsulting_agency_shop_quick_view_background' );
add_filter( 'bizberg_shop_price_color', 'econsulting_agency_shop_quick_view_background' );
function econsulting_agency_shop_quick_view_background(){
    return '#00b6c7';
}

add_filter( 'bizberg_sidebar_settings', 'econsulting_agency_sidebar_settings' );
function econsulting_agency_sidebar_settings(){
    return '4';
}

add_filter( 'bizberg_three_col_listing_radius', 'econsulting_agency_three_col_listing_radius' );
function econsulting_agency_three_col_listing_radius(){
    return 0;
}

add_filter( 'bizberg_hide_author', 'econsulting_agency_hide_author' );
function econsulting_agency_hide_author(){
    return true;
}

add_action( 'customize_register', 'econsulting_agency_customizer_options', 100 );
function econsulting_agency_customizer_options( $wp_customize ){

    /**
    * Remove sections/panels/control of parent theme
    */
    
    $wp_customize->remove_section("transparent_header");
    $wp_customize->remove_section("progress_bar");

    $wp_customize->remove_control("header_menu_color_hover_sticky_menu");
    $wp_customize->remove_control("header_menu_separator_sticky_menu");
    $wp_customize->remove_control("header_menu_text_color_sticky_menu");
    $wp_customize->remove_control("header_navbar_background_2_sticky_menu");
    $wp_customize->remove_control("header_navbar_background_1_sticky_menu");
    $wp_customize->remove_control("header_site_tagline_color_sticky_menu");
    $wp_customize->remove_control("header_site_title_color_sticky_menu");
    $wp_customize->remove_control("header_sticky_menu_options_heading");
    $wp_customize->remove_control("header_menu_child_menu_background_sticky_menu");
    $wp_customize->remove_control("header_menu_child_menu_border_sticky_menu");
    $wp_customize->remove_control("header_menu_child_menu_text_color_sticky_menu");
    $wp_customize->remove_control("header_button_color_sticky_menu");
    $wp_customize->remove_control("header_button_color_hover_sticky_menu");
    $wp_customize->remove_control("header_button_border_color_sticky_menu");
    $wp_customize->remove_control("header_menu_slide_in_animation");
    $wp_customize->remove_control("main_menu_dropdown_height");

}

add_filter( 'bizberg_sticky_header_status', 'econsulting_agency_sticky_header_status' );
function econsulting_agency_sticky_header_status(){
    return 'false';
}

add_filter( 'bizberg_sticky_sidebar_margin_top_status', 'econsulting_agency_sticky_sidebar_margin_top_status' );
function econsulting_agency_sticky_sidebar_margin_top_status(){
    return 20;
}

add_filter( 'bizberg_footer_social_links', 'econsulting_agency_footer_social_links' );
function econsulting_agency_footer_social_links(){
    return array();
}

add_filter( 'bizberg_plugins', 'econsulting_agency_plugins', 999 );
function econsulting_agency_plugins(){

    $plugins = array(
        array(
            'slug' => 'cyclone-demo-importer/index.php',
            'zip'  => 'cyclone-demo-importer'
        ),  
        array(
            'slug' => 'contact-form-7/wp-contact-form-7.php',
            'zip'  => 'contact-form-7'
        ),         
    );

    return $plugins;

}

add_filter( 'bizberg_recommended_plugins', 'econsulting_agency_recommended_plugins' );
function econsulting_agency_recommended_plugins( $plugins ){

    $plugins = array(

        array(
            'name'     => esc_html__( 'Cyclone Demo Importer', 'econsulting-agency' ),
            'slug'     => 'cyclone-demo-importer',
            'required' => false
        ),
        array(
            'name'     => esc_html__( 'Contact Form 7', 'econsulting-agency' ),
            'slug'     => 'contact-form-7',
            'required' => false
        ),

    );

    return $plugins;

}

add_filter( 'bizberg_single_post_layout', 'econsulting_agency_single_post_layout' );
function econsulting_agency_single_post_layout(){
    return 2;
}

add_filter( 'bizberg_typography_body_content_output_css', 'econsulting_agency_typography_body_content_output_css' );
function econsulting_agency_typography_body_content_output_css( $css ){
    $css[] = [
        'element' => 'p'
    ];
    return $css;
}

add_filter( 'body_class' , 'econsulting_agency_body_class' );
function econsulting_agency_body_class( $classes ){
    return array_merge( $classes, array( 'econsulting_agency_homepage' ) );
}

add_action( 'wp_body_open', 'econsulting_agency_add_balls_animation' );
function econsulting_agency_add_balls_animation() {
    ?>
    <div id="tf-partical-wrap"></div>
    <?php
}

add_action( 'bizberg_excerpt_length' , 'econsulting_agency_excerpt_length' );
function econsulting_agency_excerpt_length(){
    return 20;
}

add_action( 'bizberg_homepage_blog_title_font_weight' , 'econsulting_agency_homepage_blog_title_font_weight' );
function econsulting_agency_homepage_blog_title_font_weight(){
    return '900';
}

add_action( 'bizberg_homepage_title_font_size_desktop' , 'econsulting_agency_homepage_title_font_size_desktop' );
function econsulting_agency_homepage_title_font_size_desktop(){
    return 44;
}

add_action( 'bizberg_homepage_title_font_size_tablet' , 'econsulting_agency_homepage_title_font_size_tablet' );
function econsulting_agency_homepage_title_font_size_tablet(){
    return 41;
}

add_action( 'bizberg_homepage_title_font_size_mobile' , 'econsulting_agency_homepage_title_font_size_mobile' );
function econsulting_agency_homepage_title_font_size_mobile(){
    return 39;
}

add_filter( 'bizberg_required_plugins_redirect_link', 'econsulting_agency_required_plugins_redirect_link' );
function econsulting_agency_required_plugins_redirect_link(){
    return esc_url( admin_url( '/customize.php' ) );
}

add_filter( 'bizberg_show_recommended_plugins_on_customizer', 'econsulting_agency_show_recommended_plugins_on_customizer' );
function econsulting_agency_show_recommended_plugins_on_customizer(){
    return true;
}

add_filter( 'bizberg_getting_started_screenshot', 'econsulting_agency_getting_started_screenshot' );
function econsulting_agency_getting_started_screenshot(){
    return true;
}